package com.hw.controller;

import com.hw.schedule.GzPricesSchedule;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/prices")
@Api(description = "同步数据管理")
public class GzPricesController {

    @Autowired
    private GzPricesSchedule gzPricesSchedule;

    @ApiOperation(value = "同步贵州省政府数据开放平台数据",notes = "同步贵州省政府数据开放平台数据")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "authorization",value = "贵州省政府数据开放平台用户token",dataType = "String")
    })
    @ApiResponse(code = 0,message = "操作成功")
    @GetMapping("/pullData")
    public String pullData(String authorization){
        String message = gzPricesSchedule.pullData(authorization);
        return message;
    }

}
