#依附数据库
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_price_beijing_category
-- ----------------------------
DROP TABLE IF EXISTS `t_price_beijing_category`;
CREATE TABLE `t_price_beijing_category`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `code` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `item_uniqe`(`name`, `code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_beijing_category
-- ----------------------------

-- ----------------------------
-- Table structure for t_price_market
-- ----------------------------
DROP TABLE IF EXISTS `t_price_market`;
CREATE TABLE `t_price_market`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `no_one` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `no_two` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `market_uniq`(`no_one`, `name`, `no_two`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_market
-- ----------------------------

-- ----------------------------
-- Table structure for t_price_mofcon_downloaded
-- ----------------------------
DROP TABLE IF EXISTS `t_price_mofcon_downloaded`;
CREATE TABLE `t_price_mofcon_downloaded`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start_date` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `end_date` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_mofcon_downloaded
-- ----------------------------

-- ----------------------------
-- Table structure for t_price_mofcon_downloading_n
-- ----------------------------
DROP TABLE IF EXISTS `t_price_mofcon_downloading_n`;
CREATE TABLE `t_price_mofcon_downloading_n`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start_date` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `end_date` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `big_type_id` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `small_type_id` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `page` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '已下载到的页',
  `province_id` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `area_id` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_mofcon_downloading_n
-- ----------------------------

-- ----------------------------
-- Table structure for t_price_nong_jing_state
-- ----------------------------
DROP TABLE IF EXISTS `t_price_nong_jing_state`;
CREATE TABLE `t_price_nong_jing_state`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start_download_date` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `page` int(6) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_nong_jing_state
-- ----------------------------

-- ----------------------------
-- Table structure for t_price_product_type
-- ----------------------------
DROP TABLE IF EXISTS `t_price_product_type`;
CREATE TABLE `t_price_product_type`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `no_one` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `no_two` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `item_uniqe`(`no_one`, `name`, `no_two`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_price_product_type
-- ----------------------------

-- ----------------------------
-- Table structure for t_prices
-- ----------------------------
DROP TABLE IF EXISTS `t_prices`;
CREATE TABLE `t_prices`  (
  `id` bigint(16) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `price` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '价格',
  `price_unit` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '单位',
  `market` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '市场',
  `region` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '地区',
  `update_time` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '发布时间',
  `specification` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '无' COMMENT '规格',
  `data_origion` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据源',
  `price_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '价格类型',
  `lable` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标签，用于后期数据处理使用',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uq_prices`(`name`, `price`, `price_unit`, `market`, `region`, `update_time`, `specification`, `data_origion`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_prices
-- ----------------------------

-- ----------------------------
-- Table structure for t_prices_beijing_downloading_status
-- ----------------------------
DROP TABLE IF EXISTS `t_prices_beijing_downloading_status`;
CREATE TABLE `t_prices_beijing_downloading_status`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `latest_time` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `category` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_prices_beijing_downloading_status
-- ----------------------------

-- ----------------------------
-- Table structure for t_prices_downloaded_status
-- ----------------------------
DROP TABLE IF EXISTS `t_prices_downloaded_status`;
CREATE TABLE `t_prices_downloaded_status`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data_origion` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `ceil_time` datetime(0) NOT NULL,
  `floor_time` datetime(0) NOT NULL,
  `max_page` int(8) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `data_origion`(`data_origion`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_prices_downloaded_status
-- ----------------------------

-- ----------------------------
-- Table structure for t_prices_downloading_status
-- ----------------------------
DROP TABLE IF EXISTS `t_prices_downloading_status`;
CREATE TABLE `t_prices_downloading_status`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data_origion` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `ceil_time` datetime(0) NOT NULL,
  `floor_time` datetime(0) NOT NULL,
  `downloaded_page` int(8) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `data_origion`(`data_origion`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_prices_downloading_status
-- ----------------------------

-- ----------------------------
-- Table structure for t_prices_nongwei_downloading_status
-- ----------------------------
DROP TABLE IF EXISTS `t_prices_nongwei_downloading_status`;
CREATE TABLE `t_prices_nongwei_downloading_status`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data_origion` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '',
  `ceil_time` datetime(0) NOT NULL,
  `floor_time` datetime(0) NOT NULL,
  `downloaded_page` int(8) NOT NULL,
  `max_page` int(8) NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `data_origion`(`data_origion`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_prices_nongwei_downloading_status
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
