#创建表

-- ----------------------------
-- Table structure for t_gz_price_type
-- ----------------------------
DROP TABLE IF EXISTS `t_gz_price_type`;
CREATE TABLE `t_gz_price_type`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) NULL DEFAULT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类名',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '贵州数据开放平台农产品类型表' ROW_FORMAT = Dynamic;

#初始化
-- ----------------------------
-- Records of t_gz_price_type
-- ----------------------------
INSERT INTO `t_gz_price_type` VALUES (1, 0, '水产类', NULL, 1);
INSERT INTO `t_gz_price_type` VALUES (2, 0, '蔬菜类', NULL, 2);
INSERT INTO `t_gz_price_type` VALUES (3, 0, '辣椒类', NULL, 3);
INSERT INTO `t_gz_price_type` VALUES (4, 0, '水果类', NULL, 4);
INSERT INTO `t_gz_price_type` VALUES (5, 0, '畜禽类', NULL, 5);
INSERT INTO `t_gz_price_type` VALUES (6, 0, '食用菌', NULL, 6);

-- ----------------------------
-- Table structure for t_gz_prices
-- ----------------------------
DROP TABLE IF EXISTS `t_gz_prices`;
CREATE TABLE `t_gz_prices`  (
  `id` bigint(16) NOT NULL AUTO_INCREMENT,
  `fk_price_type_id` int(11) NOT NULL COMMENT '分类id(t_gz_price_type ->id)',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `price` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '价格',
  `price_unit` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '单位',
  `market` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '市场',
  `region` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '地区',
  `update_time` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '发布时间',
  `specification` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '无' COMMENT '规格',
  `data_origion` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '数据源',
  `price_type` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '价格类型',
  `lable` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标签，用于做后期分类',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1801 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '贵州数据开放平台农产品价格数据' ROW_FORMAT = Dynamic;


-- ----------------------------
-- Table structure for t_gz_prices_log
-- ----------------------------
DROP TABLE IF EXISTS `t_gz_prices_log`;
CREATE TABLE `t_gz_prices_log`  (
  `id` bigint(16) NOT NULL AUTO_INCREMENT,
  `fk_price_type_id` int(11) NOT NULL COMMENT '分类id(t_gz_price_type ->id)',
  `syn_time` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '同步时间',
  `syn_num` int(11) NULL DEFAULT NULL COMMENT '同步数量',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 37 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '贵州数据开放平台农产品价格数据拉取情况表' ROW_FORMAT = Dynamic;


